Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.visit
Class JifTypeChecker

    java.lang.Object
      polyglot.visit.NodeVisitor
          polyglot.visit.HaltingVisitor
              polyglot.visit.ErrorHandlingVisitor
                  polyglot.visit.ContextVisitor
                      polyglot.visit.DisambiguationDriver
                          polyglot.visit.TypeChecker
                              jif.visit.JifTypeChecker

All Implemented Interfaces:
  java.lang.Cloneable, polyglot.util.Copy

    public class JifTypeChecker

extends polyglot.visit.TypeChecker

Nested Class Summary

Nested classes/interfaces inherited from class polyglot.visit.TypeChecker
`polyglot.visit.TypeChecker.AmbChecker`

Field Summary

Fields inherited from class polyglot.visit.TypeChecker
`checkConstants`

Fields inherited from class polyglot.visit.ContextVisitor
`context, outer, prune, rethrowMissingDependencies`

Fields inherited from class polyglot.visit.ErrorHandlingVisitor
`error, job, nf, ts`

Fields inherited from class polyglot.visit.HaltingVisitor
`bypass, bypassParent`

Constructor Summary
`JifTypeChecker(polyglot.frontend.Job job, polyglot.types.TypeSystem ts, polyglot.ast.NodeFactory nf)`

Method Summary
`boolean` | `inferClassParameters()`
`JifTypeChecker` | `inferClassParameters(boolean inferClassParameters)`

Methods inherited from class polyglot.visit.TypeChecker
`enterCall, leaveCall, override, setCheckConstants`

Methods inherited from class polyglot.visit.ContextVisitor
`addDecls, begin, context, context, enter, enter, enterScope, leave, rethrowMissingDependencies, superEnter`

Methods inherited from class polyglot.visit.ErrorHandlingVisitor
`catchErrors, enterCall, enterError, errorQueue, hasErrors, job, leaveCall, leaveCall, nodeFactory, typeSystem`

Methods inherited from class polyglot.visit.HaltingVisitor
`bypass, bypass, bypassChildren, visitChildren`

Methods inherited from class polyglot.visit.NodeVisitor
`copy, finish, finish, leave, override, toString, visitEdge, visitEdgeNoOverride`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JifTypeChecker

    public JifTypeChecker(polyglot.frontend.Job job,
                          polyglot.types.TypeSystem ts,
                          polyglot.ast.NodeFactory nf)

Method Detail

### inferClassParameters

    public boolean inferClassParameters()

### inferClassParameters

    public JifTypeChecker inferClassParameters(boolean inferClassParameters)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD